<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <PreferenceCategory android:title="Sync">
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="wifi_only"
            android:persistent="true"
            android:summary="@string/ui_wifi_only_desc"
            android:title="@string/ui_wifi_only_label" />

        <PreferenceScreen
            android:key="firebase_settings"
            android:summary="Web Interface related settings"
            android:title="Web Interface">

            <CheckBoxPreference
                android:defaultValue="false"
                android:key="notification_listener"
                android:persistent="true"
                android:summary="Allow to listen for user notifications"
                android:title="Notifications Listener" />
        </PreferenceScreen>

        <PreferenceScreen
            android:key="backup_settings"
            android:summary="Gmail / IMAP Settings"
            android:title="Backup Settings">

            <com.github.axet.smsgate.widgets.ApplicationsPreference
                android:defaultValue=""
                android:key="applications"
                android:persistent="true"
                android:summary="Send selected Applications notifications to email"
                android:title="Notifications to email" />

            <CheckBoxPreference
                android:defaultValue="true"
                android:key="enable_auto_sync"
                android:persistent="true"
                android:summary="@string/ui_enable_auto_sync_desc"
                android:title="@string/ui_enable_auto_sync_label" />

            <PreferenceScreen
                android:key="auto_backup_settings_screen"
                android:title="@string/ui_auto_backup_settings_label">

                <ListPreference
                    android:defaultValue="3600"
                    android:entries="@array/auto_backup_schedule_entries"
                    android:entryValues="@array/auto_backup_schedule_values"
                    android:key="auto_backup_schedule"
                    android:persistent="true"
                    android:summary="@string/ui_auto_backup_schedule_desc"
                    android:title="@string/ui_auto_backup_schedule_label" />

                <ListPreference
                    android:defaultValue="0"
                    android:entries="@array/auto_backup_incoming_schedule_entries"
                    android:entryValues="@array/auto_backup_incoming_schedule_values"
                    android:key="auto_backup_incoming_schedule"
                    android:persistent="true"
                    android:summary="@string/ui_auto_backup_incoming_schedule_desc"
                    android:title="@string/ui_auto_backup_incoming_schedule_label" />

                <CheckBoxPreference
                    android:defaultValue="false"
                    android:key="third_party_integration"
                    android:persistent="true"
                    android:summary="@string/ui_third_party_integration_desc"
                    android:title="@string/ui_third_party_integration_label" />
            </PreferenceScreen>

            <PreferenceScreen
                android:summary="@string/ui_settings_advanced_desc"
                android:title="@string/ui_settings_advanced_label">

                <PreferenceScreen android:title="@string/ui_backup_settings_label">

                    <CheckBoxPreference
                        android:defaultValue="true"
                        android:key="backup_sms"
                        android:persistent="true"
                        android:summary="@string/ui_backup_sms_desc"
                        android:title="@string/ui_backup_sms_label" />

                    <CheckBoxPreference
                        android:defaultValue="true"
                        android:key="backup_mms"
                        android:persistent="true"
                        android:summary="@string/ui_backup_mms_desc"
                        android:title="@string/ui_backup_mms_label" />

                    <ListPreference
                        android:defaultValue="-1"
                        android:entries="@array/max_items_per_sync_entries"
                        android:entryValues="@array/max_items_per_sync_values"
                        android:key="max_items_per_sync"
                        android:persistent="true"
                        android:summary="@string/ui_max_items_per_sync_desc"
                        android:title="@string/ui_max_items_per_sync_label" />

                    <ListPreference
                        android:defaultValue="unread"
                        android:entries="@array/mark_as_read_entries"
                        android:entryValues="@array/mark_as_read_values"
                        android:key="mark_as_read_types"
                        android:persistent="true"
                        android:summary="@string/ui_mark_as_read_desc"
                        android:title="@string/ui_mark_as_read_label" />

                    <EditTextPreference
                        android:defaultValue="Inbox"
                        android:dialogMessage="@string/ui_imap_folder_label_dialog_msg"
                        android:key="imap_folder"
                        android:persistent="true"
                        android:singleLine="true"
                        android:summary="@string/ui_imap_folder_desc"
                        android:title="@string/ui_imap_folder_label" />

                    <ListPreference
                        android:defaultValue="name"
                        android:entries="@array/email_address_style_entries"
                        android:entryValues="@array/email_address_style_values"
                        android:key="email_address_style"
                        android:persistent="true"
                        android:summary="@string/ui_email_address_style_desc"
                        android:title="@string/ui_email_address_style_label" />

                    <CheckBoxPreference
                        android:defaultValue="false"
                        android:key="mail_subject_prefix"
                        android:persistent="true"
                        android:summary="@string/ui_mail_subject_prefix_desc"
                        android:title="@string/ui_mail_subject_prefix_label" />

                </PreferenceScreen>

                <CheckBoxPreference
                    android:defaultValue="false"
                    android:key="notifications"
                    android:persistent="true"
                    android:summary="@string/ui_notifications_desc"
                    android:title="@string/ui_notifications_label" />

                <CheckBoxPreference
                    android:defaultValue="false"
                    android:key="confirm_action"
                    android:persistent="true"
                    android:summary="@string/ui_confirm_action_desc"
                    android:title="@string/ui_confirm_action_label" />

                <CheckBoxPreference
                    android:defaultValue="false"
                    android:key="app_log"
                    android:persistent="true"
                    android:summaryOff="@string/pref_app_log_disabled"
                    android:summaryOn="@string/pref_app_log_enabled"
                    android:title="@string/pref_app_log" />

                <CheckBoxPreference
                    android:defaultValue="false"
                    android:dependency="app_log"
                    android:key="app_log_debug"
                    android:persistent="true"
                    android:summary="@string/pref_app_log_debug_summary"
                    android:title="@string/pref_app_log_debug" />

                <PreferenceScreen
                    android:summary="@string/ui_settings_advanced_server_desc"
                    android:title="@string/ui_settings_advanced_server_label">

                    <ListPreference
                        android:defaultValue="xoauth"
                        android:entries="@array/server_authentication_entries"
                        android:entryValues="@array/server_authentication_values"
                        android:key="server_authentication"
                        android:persistent="true"
                        android:summary="@string/ui_authentication_desc"
                        android:title="@string/ui_authentication_label" />

                    <PreferenceCategory
                        android:key="imap_settings"
                        android:persistent="false"
                        android:title="@string/imap_settings">

                        <EditTextPreference
                            android:defaultValue="imap.gmail.com:993"
                            android:dialogMessage="@string/ui_server_dialog_msg"
                            android:key="server_address"
                            android:persistent="true"
                            android:singleLine="true"
                            android:summary="@string/ui_server_desc"
                            android:title="@string/ui_server_label" />

                        <ListPreference
                            android:defaultValue="+ssl+"
                            android:entries="@array/server_protocol_entries"
                            android:entryValues="@array/server_protocol_entryValues"
                            android:key="server_protocol"
                            android:persistent="true"
                            android:summary="@string/ui_protocol_desc"
                            android:title="@string/ui_protocol_label" />

                        <EditTextPreference
                            android:dialogMessage="@string/ui_login_dialog_msg"
                            android:key="login_user"
                            android:persistent="true"
                            android:singleLine="true"
                            android:summary="@string/ui_login_desc"
                            android:title="@string/ui_login_label" />

                        <EditTextPreference
                            android:dialogMessage="@string/ui_password_dialog_msg"
                            android:key="login_password"
                            android:password="true"
                            android:persistent="false"
                            android:singleLine="true"
                            android:summary="@string/ui_password_desc"
                            android:title="@string/ui_password_label" />
                    </PreferenceCategory>
                </PreferenceScreen>
            </PreferenceScreen>
        </PreferenceScreen>
    </PreferenceCategory>

    <PreferenceCategory android:title="Application">
        <com.github.axet.androidlibrary.widgets.OptimizationPreferenceCompat
            android:defaultValue="false"
            android:key="optimization"
            android:persistent="false"
            android:summary="Prevent app to be removed from memory"
            android:title="Disable Battery Optimization" />

        <com.github.axet.smsgate.widgets.DefaultSMSPreferenceCompat
            android:defaultValue="false"
            android:key="defaultsms"
            android:persistent="false"
            android:summary="current SMS app"
            android:title="Default SMS app" />

        <com.github.axet.androidlibrary.widgets.AdminPreferenceCompat
            android:defaultValue=""
            android:key="admin"
            android:summary="Enable device admin commands"
            android:title="Device Admin" />

        <com.github.axet.smsgate.widgets.RebootPreferenceCompat
            android:defaultValue=""
            android:key="reboot"
            android:persistent="false"
            android:summary="Schedule phone restarts (rooted ophones only)"
            android:title="Reboot" />

        <CheckBoxPreference
            android:defaultValue=""
            android:key="wifi_restart"
            android:persistent="true"
            android:summary="Keep Wifi connection alive"
            android:title="Wifi Restart" />

        <com.github.axet.androidlibrary.widgets.AboutPreferenceCompat
            android:persistent="false"
            app:html="@raw/about" />
    </PreferenceCategory>
</PreferenceScreen>
